/*
 * @Description:
 * @Author: seam
 * @LastEditTime: 2022-04-08 11:53:39
 * @FilePath: \parent2\src\common\utils\mixin.js
 */
export default {
  data() {
    return {
      // 设置默认的分享参数
      share: {
        title: '拓扑教育',
        path: '/pages/index/index',
        imageUrl: '',
        desc: '',
        content: ''
      }
    }
  },
  onShareAppMessage(res) {
    return {
      title: this.share.title,
      path: this.share.path,
      imageUrl: this.share.imageUrl,
      desc: this.share.desc,
      content: this.share.content,
      success(res) {
        uni.showToast({
          title: '分享成功'
        })
      },
      fail(res) {
        uni.showToast({
          title: '分享失败',
          icon: 'none'
        })
      }
    }
  }
}
